Package org.drinkless.tdlib

# Class TdApi.GetChatMessageCalendar

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.MessageCalendar>
org.drinkless.tdlib.TdApi.GetChatMessageCalendar

Enclosing class:
  `TdApi`

public static class TdApi.GetChatMessageCalendar extends TdApi.Function<TdApi.MessageCalendar>
Returns information about the next messages of the specified type in the chat split by days. Returns the results in reverse chronological order. Can return partial result for the last returned day. Behavior of this method depends on the value of the option "utc_time_offset".

Returns `MessageCalendar`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `long`
  `chatId`
  Identifier of the chat in which to return information about messages.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.SearchMessagesFilter`
  `filter`
  Filter for message content.
  `long`
  `fromMessageId`
  The message identifier from which to return information about messages; use 0 to get results from the last message.
  `TdApi.MessageTopic`
  `topicId`
  Pass topic identifier to get the result only in specific topic; pass null to get the result in all topics; forum topics and message threads aren't supported.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GetChatMessageCalendar()`
  Default constructor for a function, which returns information about the next messages of the specified type in the chat split by days.
  `GetChatMessageCalendar(long chatId, TdApi.MessageTopic topicId, TdApi.SearchMessagesFilter filter, long fromMessageId)`
  Creates a function, which returns information about the next messages of the specified type in the chat split by days.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### chatId

    public long chatId
    Identifier of the chat in which to return information about messages.

  - ### topicId

    public TdApi.MessageTopic topicId
    Pass topic identifier to get the result only in specific topic; pass null to get the result in all topics; forum topics and message threads aren't supported.

  - ### filter

    public TdApi.SearchMessagesFilter filter
    Filter for message content. Filters searchMessagesFilterEmpty, searchMessagesFilterMention, searchMessagesFilterUnreadMention, searchMessagesFilterUnreadReaction, and searchMessagesFilterUnreadPollVote are unsupported in this function.

  - ### fromMessageId

    public long fromMessageId
    The message identifier from which to return information about messages; use 0 to get results from the last message.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### GetChatMessageCalendar

    public GetChatMessageCalendar()
    Default constructor for a function, which returns information about the next messages of the specified type in the chat split by days. Returns the results in reverse chronological order. Can return partial result for the last returned day. Behavior of this method depends on the value of the option "utc_time_offset".

    Returns `MessageCalendar`

  - ### GetChatMessageCalendar

    public GetChatMessageCalendar(long chatId, TdApi.MessageTopic topicId, TdApi.SearchMessagesFilter filter, long fromMessageId)
    Creates a function, which returns information about the next messages of the specified type in the chat split by days. Returns the results in reverse chronological order. Can return partial result for the last returned day. Behavior of this method depends on the value of the option "utc_time_offset".

    Returns `MessageCalendar`

    Parameters:
      `chatId` - Identifier of the chat in which to return information about messages.
      `topicId` - Pass topic identifier to get the result only in specific topic; pass null to get the result in all topics; forum topics and message threads aren't supported.
      `filter` - Filter for message content. Filters searchMessagesFilterEmpty, searchMessagesFilterMention, searchMessagesFilterUnreadMention, searchMessagesFilterUnreadReaction, and searchMessagesFilterUnreadPollVote are unsupported in this function.
      `fromMessageId` - The message identifier from which to return information about messages; use 0 to get results from the last message.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.MessageCalendar>`
    Returns:
      this.CONSTRUCTOR